import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';

import {AppComponent} from './app.component';
import {InfoRouteComponent} from './info-route/info-route.component';
import {ContactRouteComponent} from './contact-route/contact-route.component';
import {ServiceRouteComponent} from './service-route/service-route.component';
import {AppRoutingModule} from './app.routing-module';
import {RoutesHeaderComponent} from './routes-header/routes-header.component';
import {CommonModule, registerLocaleData} from '@angular/common';
import localeFr from '@angular/common/locales/fr';
import {HttpClientModule} from '@angular/common/http';

// the second parameter 'fr' is optional
registerLocaleData(localeFr, 'fr');


@NgModule({
  imports: [
    BrowserModule,
    CommonModule,
    HttpClientModule,
    AppRoutingModule,
  ],
  declarations: [
    AppComponent,
    InfoRouteComponent,
    ContactRouteComponent,
    ServiceRouteComponent,
    RoutesHeaderComponent,
  ],
  providers: [],
  bootstrap: [AppComponent],
})
export class AppModule {
}
