import {NgModule} from '@angular/core';
import {Route, RouterModule} from '@angular/router';
import {InfoRouteComponent} from './info-route/info-route.component';
import {ContactRouteComponent} from './contact-route/contact-route.component';
import {ServiceRouteComponent} from './service-route/service-route.component';

export const ROUTES: Route[] = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: '/info',
  },
  {
    path: 'info',
    component: InfoRouteComponent,
  },
  {
    path: 'contact',
    component: ContactRouteComponent,
  },
  {
    path: 'services',
    component: ServiceRouteComponent,
  },
  {
    path: '**',
    redirectTo: '/info',
  },
];

@NgModule({
  imports: [
    RouterModule.forRoot(ROUTES, { relativeLinkResolution: 'legacy' }),
  ],
  exports: [
    RouterModule,
  ],
  providers: [],
})
export class AppRoutingModule {
}
