import {Injectable} from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {BuildInfo} from './build-info';
import {Observable} from 'rxjs';
import {publishReplay, refCount} from 'rxjs/operators';

@Injectable({
  providedIn: 'root',
})
export class BuildInfoService {

  private buildInfo: Observable<BuildInfo>;

  constructor(private http: HttpClient) {
    this.buildInfo = this.http.get<BuildInfo>('./assets/buildinfo.json')
      .pipe(publishReplay(1), refCount());
  }

  getBuildInfo(): Observable<BuildInfo> {
    return this.buildInfo;
  }
}
